﻿
using System;
using System.Data;
using Wisej.Web;

namespace DgvSortFilter
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private BindingSource bs;

        private void Page1_Load(object sender, EventArgs e)
        {
            DataTable dtData = new DataTable();
            // columns
            dtData.Columns.Add("ID", typeof(int));
            dtData.Columns.Add("Name", typeof(string));
            dtData.Columns.Add("Town", typeof(string));
            // sample data
            dtData.Rows.Add(1, "Tom", "New York");
            dtData.Rows.Add(2, "Anne", "Chicago");
            dtData.Rows.Add(3, "Charlie", "Washington");
            dtData.Rows.Add(4, "Duane", "New York");
            dtData.Rows.Add(5, "Mick", "Los Angeles");
            dtData.Rows.Add(6, "Peter", "Orlando");
            dtData.Rows.Add(7, "Joe", "Miami");
            dtData.Rows.Add(8, "John", "New York");
            dtData.Rows.Add(9, "Sue", "Los Angeles");
            dtData.Rows.Add(10, "Carl", "Chicago");

            bs = new BindingSource(dtData, null);

            this.dataGridView1.DataSource = bs;
            // prevent the 1st column from sorting
            this.dataGridView1.Columns[0].SortMode = DataGridViewColumnSortMode.NotSortable;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.dataGridView1.Sort(dataGridView1.Columns["Name"], System.ComponentModel.ListSortDirection.Ascending);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            bs.Filter = "Town = 'New York'";
        }
    }
}
